MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022048Community[OCCT] OCCT:Visualizationpublic2010-10-06 17:062018-06-29 21:19
Reporterszy 
Assigned Tobugmaster 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version[OCCT] 6.3.1 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0022048: Visualization, AIS_InteractiveContext - single object selection should always clear multiple selection
DescriptionCommunity:
"I have two objects. With the SHIFT key pressed, I could select both objects.
But if I release SHIFT key and click on one of the objects, I expect only that
object was selected. But actually both objects were still selected."

The object is already in selected objects list, but it seems that it is not
taken into account that the selection mode is changed.
One picked object is expected in selection list.
Steps To Reproduce
pload MODELING VISUALIZATION
box b1 10 10 10
box b2 20 20 20 30 30 30
vdisplay b1 b2
vfit
vselect 0 0 400 400 1
vselect 200 200

---> both boxes are selected, though only big one should be
TagsNo tags attached.
Test case numberbugs vis bug22048
Attached Files

- Relationships

-  Notes
(0027875)
kgv (developer)
2014-02-13 11:12

Dear aba,

please check on current master.
(0032186)
abv (manager)
2014-09-26 09:35

Reproduced on current master (6.8.0.beta)
(0070326)
git (administrator)
2017-09-07 18:39

Branch CR22048 has been created by kgv.

SHA-1: 84825c067785d06b023f92432761fd896494c49f


Detailed log of new commits:

Author: kgv
Date: Thu Sep 7 18:29:13 2017 +0300

    0022048: Visualization, AIS_InteractiveContext - single object selection should always clear multiple selection
    
    AIS_InteractiveContext::Select() now clears multiple selection when selecting a single object.
(0070327)
kgv (developer)
2017-09-07 18:40
edited on: 2017-09-07 22:49

Patch is ready for review.

http://jenkins-test-10.nnov.opencascade.com/view/CR22048-master-KGV/ [^]

(0070332)
san (developer)
2017-09-08 08:58

Branch CR22048 reviewed without remarks, ready for testing.
(0070396)
bugmaster (administrator)
2017-09-08 18:04
edited on: 2017-09-08 18:06

Combination -
OCCT branch : CR22048 SHA-1: 84825c067785d06b023f92432761fd896494c49f
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

http://jenkins-test-10.nnov.opencascade.com/view/CR22048-master-KGV/ [^]

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 4 (4 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

New test case are OK

(0070991)
git (administrator)
2017-09-29 17:11

Branch CR22048 has been deleted by kgv.

SHA-1: 84825c067785d06b023f92432761fd896494c49f

- Related Changesets
occt: master 04e4a101
Timestamp: 2017-09-07 15:29:13
Author: kgv
Committer: bugmaster
Details ] Diff ]
0022048: Visualization, AIS_InteractiveContext - single object selection should always clear multiple selection

AIS_InteractiveContext::Select() now clears multiple selection when selecting a single object.
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.hxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.lxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_EventManager.cxx Diff ] File ]
add - tests/bugs/vis/bug22048 Diff ] File ]
occt: master 780ee4e2
Timestamp: 2017-09-07 15:29:13
Author: kgv
Committer: bugmaster
Details ] Diff ]
0022048: Visualization, AIS_InteractiveContext - single object selection should always clear multiple selection

AIS_InteractiveContext::Select() now clears multiple selection when selecting a single object.
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.hxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.lxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_EventManager.cxx Diff ] File ]
add - tests/bugs/vis/bug22048 Diff ] File ]

- Issue History
Date Modified Username Field Change
2010-10-06 18:59 bugmaster Status closed => assigned
2010-10-06 18:59 bugmaster Resolution suspended => @0@
2010-10-06 18:59 bugmaster Assigned To bugmaster => san
2011-04-07 18:11 bugmaster Assigned To san => apl
2011-08-02 11:24 bugmaster Category OCCT:VIZ => OCCT:Visualization
2014-02-13 11:12 kgv Note Added: 0027875
2014-02-13 11:12 kgv Assigned To apl => aba
2014-02-13 11:12 kgv Severity trivial => minor
2014-02-13 11:12 kgv Fixed in Version EMPTY =>
2014-02-13 11:12 kgv Target Version => 6.7.1
2014-02-13 11:12 kgv Description Updated View Revisions
2014-04-04 18:16 abv Target Version 6.7.1 => 6.8.0
2014-09-26 09:35 abv Note Added: 0032186
2014-09-26 09:35 abv Target Version 6.8.0 => 7.1.0
2014-09-26 09:35 abv Steps to Reproduce Updated View Revisions
2015-06-29 12:10 kgv Priority normal => low
2015-06-29 12:10 kgv Severity minor => feature
2015-06-29 12:10 kgv Product Version => 6.3.1
2015-06-29 12:10 kgv Summary Selection bug => Visualization,Selection - provide an option to keep selected only single object on clicking it
2015-06-29 12:10 kgv Steps to Reproduce Updated View Revisions
2016-07-09 17:32 kgv Target Version 7.1.0 =>
2017-01-02 11:53 kgv Assigned To aba => kgv
2017-07-10 11:36 kgv Summary Visualization,Selection - provide an option to keep selected only single object on clicking it => Visualization, Selection - provide an option to keep selected only single object on clicking it
2017-09-07 18:28 kgv Severity feature => minor
2017-09-07 18:28 kgv Target Version => 7.4.0*
2017-09-07 18:28 kgv Summary Visualization, Selection - provide an option to keep selected only single object on clicking it => Visualization, AIS_InteractiveContext - single object selection should always clear multiple selection
2017-09-07 18:39 git Note Added: 0070326
2017-09-07 18:40 kgv Note Added: 0070327
2017-09-07 18:40 kgv Assigned To kgv => san
2017-09-07 18:40 kgv Status assigned => resolved
2017-09-07 22:49 kgv Note Edited: 0070327 View Revisions
2017-09-08 08:58 san Note Added: 0070332
2017-09-08 08:58 san Assigned To san => bugmaster
2017-09-08 08:58 san Status resolved => reviewed
2017-09-08 18:04 bugmaster Note Added: 0070396
2017-09-08 18:04 bugmaster Status reviewed => tested
2017-09-08 18:05 bugmaster Test case number => bugs vis bug22048
2017-09-08 18:06 bugmaster Note Edited: 0070396 View Revisions
2017-09-21 19:33 bugmaster Changeset attached => occt master 04e4a101
2017-09-21 19:33 bugmaster Status tested => verified
2017-09-21 19:33 bugmaster Resolution open => fixed
2017-09-21 19:50 apn Target Version 7.4.0* => 7.2.0
2017-09-22 12:02 bugmaster Target Version 7.2.0 => 7.4.0*
2017-09-29 13:26 bugmaster Changeset attached => occt master 780ee4e2
2017-09-29 17:11 git Note Added: 0070991
2018-02-20 12:59 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker